package com.kingdee.eas.custom.facade.worktime;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class DepartStatusFacadeFactory
{
    private DepartStatusFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.facade.worktime.IDepartStatusFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.facade.worktime.IDepartStatusFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("76243A94") ,com.kingdee.eas.custom.facade.worktime.IDepartStatusFacade.class);
    }
    
    public static com.kingdee.eas.custom.facade.worktime.IDepartStatusFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.facade.worktime.IDepartStatusFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("76243A94") ,com.kingdee.eas.custom.facade.worktime.IDepartStatusFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.facade.worktime.IDepartStatusFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.facade.worktime.IDepartStatusFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("76243A94"));
    }
    public static com.kingdee.eas.custom.facade.worktime.IDepartStatusFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.facade.worktime.IDepartStatusFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("76243A94"));
    }
}